Package org.apache.struts2.views.jsp

# Class IteratorStatus

java.lang.Object
org.apache.struts2.views.jsp.IteratorStatus

public class IteratorStatus extends Object
The iterator tag can export an IteratorStatus object so that one can get information about the status of the iteration, such as:

- index: current iteration index, starts on 0 and increments in one on every iteration
- count: iterations so far, starts on 1. count is always index + 1
- first: true if index == 0
- even: true if (index + 1) % 2 == 0
- last: true if current iteration is the last iteration
- odd: true if (index + 1) % 2 == 1

Example

       <s:iterator status="status" value='{0, 1}'>
          Index: <s:property value="%{#status.index}" /> <br />
          Index Str: <s:property value="%{#status.indexStr}" /> <br />
          Count: <s:property value="%{#status.count}" /> <br />
          Count Str: <s:property value="%{#status.countStr}" /> <br />
       </s:iterator>

will print

          Index: 0
          Index Str: 0
          Count: 1
          Count Str: 1
          Index: 1
          Index Str: 1
          Count: 2
          Count Str: 2

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `IteratorStatus.StatusState`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected IteratorStatus.StatusState`
  `state`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IteratorStatus(IteratorStatus.StatusState aState)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCount()`
  `String`
  `getCountStr()`
  `int`
  `getIndex()`
  `String`
  `getIndexStr()`
  `boolean`
  `isEven()`
  `boolean`
  `isFirst()`
  `boolean`
  `isLast()`
  `boolean`
  `isOdd()`
  `int`
  `modulus(int operand)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### state

    protected IteratorStatus.StatusState state

- ## Constructor Details

  - ### IteratorStatus

    public IteratorStatus(IteratorStatus.StatusState aState)

- ## Method Details

  - ### getCount

    public int getCount()

  - ### getCountStr

    public String getCountStr()

  - ### isEven

    public boolean isEven()

  - ### isFirst

    public boolean isFirst()

  - ### getIndex

    public int getIndex()

  - ### getIndexStr

    public String getIndexStr()

  - ### isLast

    public boolean isLast()

  - ### isOdd

    public boolean isOdd()

  - ### modulus

    public int modulus(int operand)